> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Sentiment analysis

> Analyze text sentiment (positive, negative, or neutral) for feedback and social monitoring.



## OpenAPI

````yaml POST /public/v1/sentiment
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /public/v1/sentiment:
    post:
      description: >-
        Analyze text sentiment (positive, negative, or neutral) for feedback and
        social monitoring.
      requestBody:
        description: Sentiment analysis parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SentimentRequest'
        required: true
      responses:
        '200':
          description: Sentiment analyzed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SentimentResponse'
              examples:
                validationError:
                  value:
                    status: 200
                    data: {}
                    success: true
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    status: 400
                    data: {}
                    success: false
                    message: <string>
      servers:
        - url: https://api.hobbo.ai
components:
  schemas:
    SentimentRequest:
      type: object
      required:
        - sentence
      properties:
        sentence:
          type: string
          description: The text to analyze for sentiment
    SentimentResponse:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        sentiment:
          type: number
          description: 'Sentiment score (1: positive, 2: neutral, 3: negative)'
        success:
          type: boolean
          description: Indicates if the operation was successful
        message:
          type: string
          description: Response message
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````